VERSION 5.00
Object = "{A06954A4-49A9-4D62-9E08-14040AD63924}#1.0#0"; "MACH1OCX.OCX"
Begin VB.Form Form1 
   Caption         =   "OCX test"
   ClientHeight    =   5715
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   7935
   LinkTopic       =   "Form1"
   ScaleHeight     =   5715
   ScaleWidth      =   7935
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton DeleteLayout 
      Caption         =   "Delete Layout"
      Height          =   375
      Left            =   4560
      TabIndex        =   8
      Top             =   0
      Width           =   1215
   End
   Begin VB.CommandButton SaveLayout 
      Caption         =   "Save Layout"
      Height          =   375
      Left            =   3480
      TabIndex        =   7
      Top             =   0
      Width           =   1095
   End
   Begin VB.CommandButton Enc1_199 
      Caption         =   "Set 1 to 199"
      Height          =   375
      Left            =   6840
      TabIndex        =   6
      Top             =   0
      Width           =   1095
   End
   Begin VB.CommandButton ConfigEngine 
      Caption         =   "Configure Engine"
      Height          =   375
      Left            =   1320
      TabIndex        =   5
      Top             =   5280
      Width           =   1335
   End
   Begin VB.CommandButton StartEngine 
      Caption         =   "StartEngine"
      Height          =   375
      Left            =   120
      TabIndex        =   4
      Top             =   5280
      Width           =   1095
   End
   Begin VB.CommandButton Enc0_199 
      Caption         =   "Set 0 to 199"
      Height          =   375
      Left            =   5760
      TabIndex        =   3
      Top             =   0
      Width           =   1095
   End
   Begin VB.CommandButton LoadLayout 
      Caption         =   "Load Layout"
      Height          =   375
      Left            =   2400
      TabIndex        =   2
      Top             =   0
      Width           =   1095
   End
   Begin VB.CommandButton AddEmergency 
      Caption         =   "Add Emergency"
      Height          =   375
      Left            =   1080
      TabIndex        =   1
      Top             =   0
      Width           =   1335
   End
   Begin VB.CommandButton AddDRO 
      Caption         =   "Add DRO"
      Height          =   375
      Left            =   0
      TabIndex        =   0
      Top             =   0
      Width           =   1095
   End
   Begin MACH1OCXLib.Mach1ocx Mach1ocx 
      Left            =   600
      Top             =   720
      _Version        =   65536
      _ExtentX        =   661
      _ExtentY        =   661
      _StockProps     =   0
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Dim EngineRunning As Boolean    'flag to keep track of the engine status


Private Sub AddDRO_Click()
    'NOTE: the coordinates are in pixels, no matter what the form's ScaleMode is
    Mach1ocx.AddDRO 10, 30, 100, 70
End Sub

Private Sub AddEmergency_Click()
    Mach1ocx.AddEmergency 10, 110, 100, 50
End Sub

Private Sub ConfigEngine_Click()
    Mach1ocx.ConfigEngine
End Sub

Private Sub DeleteLayout_Click()
Mach1ocx.DeleteLayout
End Sub

Private Sub Enc0_199_Click()
    Mach1ocx.EncoderSetABSCount 0, 199000
End Sub

Private Sub Enc1_199_Click()
    Mach1ocx.EncoderSetABSCount 1, 199000
End Sub

Private Sub Form_Initialize()
    Dim FileName As String
    EngineRunning = False
    
    FileName = "default.lay"
    If Dir$(FileName) <> "" Then 'check if default layout exists
        Mach1ocx.LoadLayout FileName 'if it does then load it
    End If
    
End Sub

Private Sub Form_Unload(Cancel As Integer)
'NOTE: if the engine has beeen started it must be stopped before the application closes
If EngineRunning Then
    Mach1ocx.StopEngine
End If
End Sub

Private Sub LoadLayout_Click()
    Dim FileName As String  'NOTE: you must pass the filename as a string data type
    FileName = "dialog"
    Mach1ocx.LoadLayout FileName
End Sub

Private Sub SaveLayout_Click()
Mach1ocx.SaveLayout
End Sub

Private Sub StartEngine_Click()
    If EngineRunning Then Exit Sub 'do nothing if the engine is already running
    If Not Mach1ocx.InitEngine Then
        MsgBox "Unable to initialise Mach1 engine"
        Exit Sub
    End If
    If Not Mach1ocx.StartEngine Then
        MsgBox "Unable to start Mach1 engine"
        Exit Sub
    End If
    EngineRunning = True
End Sub
